Add Multiple Custom Consent Categories and data-points.
1 min
POST
https://api.upstartcommerce.com/v1/customer/consent/categories/batch
acceptstringGenerated from available response content types
x-upstart-tenantstringTenant identifier associated with the site.
bodyarray
201Custom Consent Categories Created Successfully
207
400The request contained information that the server was unable to process. Appropriate errors are provided in the response body.
401The provided credentials were not valid for this endpoint.
403User's roles are insufficient for this endpoint.
404The requested resource was not found in the NoChannel system.
405This is to indicate that the server has received a request with an HTTP method that is not supported for the requested resource.
409This response indicates that the server cannot process the request due to a conflict with the current state of the resource. This typically occurs when a request attempts to create or modify a resource that already exists or conflicts with another resource.
423<p>Consent Management is disabled or locked for the tenant, so consent operations are not allowed.</p>
500There was an internal server error.
curl --request POST \
--url https://api.upstartcommerce.com/v1/customer/consent/categories/batch \
--header 'accept: application/json' \
--header 'content-type: application/json' \
--header 'x-upstart-tenant: string' \
--data '[
{
"tenant": "",
"name": "",
"description": "",
"dataPoint": [],
"siteIds": []
}
]'